package com.liquidnet.service.kylin.dto.vo.returns;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "KylinStationCheckRefreshVo", description = "下载刷新验票信息响应参数")
@Data
public class KylinStationCheckRefreshVo implements Serializable, Cloneable {
    private static final long serialVersionUID = -7313121561515036798L;
    private KylinStationPerformanceVo performanceVo;
    private List<KylinStationCheckOrderVo> checkOrderVos;

    private static final KylinStationCheckRefreshVo obj = new KylinStationCheckRefreshVo();

    public static KylinStationCheckRefreshVo getNew() {
        try {
            return (KylinStationCheckRefreshVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinStationCheckRefreshVo();
        }
    }
}
